Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh.cp.client.impl
Class SCPConfiguration

    java.lang.Object
      com.stc.connector.ssh.cp.client.impl.SCPConfiguration

All Implemented Interfaces:
  SSHConfiguration

    public class SCPConfiguration

extends java.lang.Object
implements SSHConfiguration

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`SCPConfiguration()` a storage for holding parameters
`SCPConfiguration(com.stc.connector.framework.util.ConfigurationHelper p)` setters and getters of the configuration parameters for SCP OTD;

Method Summary
`java.util.Properties` | `getAllParamChangeRequested()`
`java.lang.String` | `getAuthType()`
`java.util.Properties` | `getChangedParameters()`
`java.lang.String` | `getConnMode()`
`boolean` | `getFirewallEnabled()`
`java.lang.String` | `getFirewallPassword()`
`int` | `getFirewallPort()`
`java.lang.String` | `getFirewallServer()`
`java.lang.String` | `getFirewallUser()`
`java.lang.String` | `getHostKeyVerification()`
`java.lang.String` | `getKeyFile()`
`java.lang.String` | `getKeyFilePassphrase()`
`java.lang.String` | `getLocalDirectory()`
`java.lang.String` | `getLocalFile()`
`long` | `getMaxRetry()`
`java.lang.String` | `getPreferredPubKeyAlg()`
`java.util.Properties` | `getProperties()`
`boolean` | `getRecursive()`
`java.lang.String` | `getRemoteDirectory()`
`java.lang.String` | `getRemoteFile()`
`java.lang.String` | `getRemoteHost()`
`long` | `getRetryInterval()`
`java.lang.String` | `getServerPublicKeyFile()`
`java.lang.String` | `getSocksVersion()`
`java.lang.String` | `getSSHPassword()`
`int` | `getSSHPort()`
`java.lang.String` | `getSSHServer()`
`java.lang.String` | `getSSHUser()`
`boolean` | `getSynchronized()`
`boolean` | `isConnectionParameterChanged()` indicate that one or more of the "connection parameters" changed;
`boolean` | `isConnModeAuto()` if the connection is configured as automatic
`boolean` | `isConnModeManual()` if the connection is configured as manual
`void` | `logParameters()` for debuging dump all the parameters into IS log;
`void` | `resetConnectionParameter(boolean noWarning)`
`void` | `setAuthType(java.lang.String s)`
`void` | `setFirewallEnabled(boolean b)`
`void` | `setFirewallPassword(java.lang.String s)`
`void` | `setFirewallPort(int i)`
`void` | `setFirewallServer(java.lang.String s)`
`void` | `setFirewallUser(java.lang.String s)`
`void` | `setHostKeyVerification(java.lang.String s)`
`void` | `setKeyFile(java.lang.String s)`
`void` | `setKeyFilePassphrase(java.lang.String s)`
`void` | `setLocalDirectory(java.lang.String s)`
`void` | `setLocalFile(java.lang.String s)`
`void` | `setMaxRetry(long aRetry)`
`void` | `setPreferredPubKeyAlg(java.lang.String s)`
`void` | `setRecursive(boolean b)`
`void` | `setRemoteDirectory(java.lang.String s)`
`void` | `setRemoteFile(java.lang.String s)`
`void` | `setRemoteHost(java.lang.String s)`
`void` | `setRetryInterval(long aInterval)`
`void` | `setServerPublicKeyFile(java.lang.String s)`
`void` | `setSocksVersion(java.lang.String s)`
`void` | `setSSHPassword(java.lang.String s)`
`void` | `setSSHPort(int i)`
`void` | `setSSHServer(java.lang.String s)`
`void` | `setSSHUser(java.lang.String s)`
`protected void` | `setSynchronized(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SCPConfiguration

    public SCPConfiguration()

  a storage for holding parameters

### SCPConfiguration

    public SCPConfiguration(com.stc.connector.framework.util.ConfigurationHelper p)
                     throws SCPCFGException

  setters and getters of the configuration parameters for SCP OTD;

  Parameters:
    `p` -
  Throws:
    `java.lang.Exception`
    `SCPCFGException`

Method Detail

### getRemoteDirectory

    public java.lang.String getRemoteDirectory()

  Specified by:
    `getRemoteDirectory` in interface `SSHConfiguration`

### setRemoteDirectory

    public void setRemoteDirectory(java.lang.String s)

  Specified by:
    `setRemoteDirectory` in interface `SSHConfiguration`

### getRemoteFile

    public java.lang.String getRemoteFile()

  Specified by:
    `getRemoteFile` in interface `SSHConfiguration`

### setRemoteFile

    public void setRemoteFile(java.lang.String s)

  Specified by:
    `setRemoteFile` in interface `SSHConfiguration`

### getLocalDirectory

    public java.lang.String getLocalDirectory()

  Specified by:
    `getLocalDirectory` in interface `SSHConfiguration`

### setLocalDirectory

    public void setLocalDirectory(java.lang.String s)

  Specified by:
    `setLocalDirectory` in interface `SSHConfiguration`

### getLocalFile

    public java.lang.String getLocalFile()

  Specified by:
    `getLocalFile` in interface `SSHConfiguration`

### setLocalFile

    public void setLocalFile(java.lang.String s)

  Specified by:
    `setLocalFile` in interface `SSHConfiguration`

### getFirewallServer

    public java.lang.String getFirewallServer()

  Specified by:
    `getFirewallServer` in interface `SSHConfiguration`

### setFirewallPort

    public void setFirewallPort(int i)

  Specified by:
    `setFirewallPort` in interface `SSHConfiguration`

### getFirewallPort

    public int getFirewallPort()

  Specified by:
    `getFirewallPort` in interface `SSHConfiguration`

### setFirewallServer

    public void setFirewallServer(java.lang.String s)

  Specified by:
    `setFirewallServer` in interface `SSHConfiguration`

### getFirewallUser

    public java.lang.String getFirewallUser()

  Specified by:
    `getFirewallUser` in interface `SSHConfiguration`

### setFirewallUser

    public void setFirewallUser(java.lang.String s)

  Specified by:
    `setFirewallUser` in interface `SSHConfiguration`

### getFirewallPassword

    public java.lang.String getFirewallPassword()

  Specified by:
    `getFirewallPassword` in interface `SSHConfiguration`

### setFirewallPassword

    public void setFirewallPassword(java.lang.String s)

  Specified by:
    `setFirewallPassword` in interface `SSHConfiguration`

### getFirewallEnabled

    public boolean getFirewallEnabled()

  Specified by:
    `getFirewallEnabled` in interface `SSHConfiguration`

### setFirewallEnabled

    public void setFirewallEnabled(boolean b)

  Specified by:
    `setFirewallEnabled` in interface `SSHConfiguration`

### getSocksVersion

    public java.lang.String getSocksVersion()

  Specified by:
    `getSocksVersion` in interface `SSHConfiguration`

### setSocksVersion

    public void setSocksVersion(java.lang.String s)

  Specified by:
    `setSocksVersion` in interface `SSHConfiguration`

### getSSHServer

    public java.lang.String getSSHServer()

  Specified by:
    `getSSHServer` in interface `SSHConfiguration`

### setSSHServer

    public void setSSHServer(java.lang.String s)

  Specified by:
    `setSSHServer` in interface `SSHConfiguration`

### setSSHPort

    public void setSSHPort(int i)

  Specified by:
    `setSSHPort` in interface `SSHConfiguration`

### getSSHPort

    public int getSSHPort()

  Specified by:
    `getSSHPort` in interface `SSHConfiguration`

### getSSHUser

    public java.lang.String getSSHUser()

  Specified by:
    `getSSHUser` in interface `SSHConfiguration`

### setSSHUser

    public void setSSHUser(java.lang.String s)

  Specified by:
    `setSSHUser` in interface `SSHConfiguration`

### getSSHPassword

    public java.lang.String getSSHPassword()

  Specified by:
    `getSSHPassword` in interface `SSHConfiguration`

### setSSHPassword

    public void setSSHPassword(java.lang.String s)

  Specified by:
    `setSSHPassword` in interface `SSHConfiguration`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `SSHConfiguration`

### setAuthType

    public void setAuthType(java.lang.String s)

  Specified by:
    `setAuthType` in interface `SSHConfiguration`

### getKeyFile

    public java.lang.String getKeyFile()

  Specified by:
    `getKeyFile` in interface `SSHConfiguration`

### setKeyFile

    public void setKeyFile(java.lang.String s)

  Specified by:
    `setKeyFile` in interface `SSHConfiguration`

### getRecursive

    public boolean getRecursive()

### setRecursive

    public void setRecursive(boolean b)

### getKeyFilePassphrase

    public java.lang.String getKeyFilePassphrase()

  Specified by:
    `getKeyFilePassphrase` in interface `SSHConfiguration`

### setKeyFilePassphrase

    public void setKeyFilePassphrase(java.lang.String s)

  Specified by:
    `setKeyFilePassphrase` in interface `SSHConfiguration`

### getServerPublicKeyFile

    public java.lang.String getServerPublicKeyFile()

  Specified by:
    `getServerPublicKeyFile` in interface `SSHConfiguration`

### setServerPublicKeyFile

    public void setServerPublicKeyFile(java.lang.String s)

  Specified by:
    `setServerPublicKeyFile` in interface `SSHConfiguration`

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `SSHConfiguration`

### setRemoteHost

    public void setRemoteHost(java.lang.String s)

  Specified by:
    `setRemoteHost` in interface `SSHConfiguration`

### getHostKeyVerification

    public java.lang.String getHostKeyVerification()

  Specified by:
    `getHostKeyVerification` in interface `SSHConfiguration`

### setHostKeyVerification

    public void setHostKeyVerification(java.lang.String s)

  Specified by:
    `setHostKeyVerification` in interface `SSHConfiguration`

### getConnMode

    public java.lang.String getConnMode()

### setMaxRetry

    public void setMaxRetry(long aRetry)

### getMaxRetry

    public long getMaxRetry()

### setRetryInterval

    public void setRetryInterval(long aInterval)

### getRetryInterval

    public long getRetryInterval()

### setSynchronized

    protected void setSynchronized(boolean b)

### getSynchronized

    public boolean getSynchronized()

### getPreferredPubKeyAlg

    public java.lang.String getPreferredPubKeyAlg()

  Specified by:
    `getPreferredPubKeyAlg` in interface `SSHConfiguration`

### setPreferredPubKeyAlg

    public void setPreferredPubKeyAlg(java.lang.String s)

  Specified by:
    `setPreferredPubKeyAlg` in interface `SSHConfiguration`

### getProperties

    public java.util.Properties getProperties()

### getChangedParameters

    public java.util.Properties getChangedParameters()

### getAllParamChangeRequested

    public java.util.Properties getAllParamChangeRequested()

### isConnectionParameterChanged

    public boolean isConnectionParameterChanged()

  indicate that one or more of the "connection parameters" changed;

  Returns:
    true - if change occurred, false otherwise;

### resetConnectionParameter

    public void resetConnectionParameter(boolean noWarning)
                                  throws SCPException

  Throws:
    `SCPException`

### isConnModeAuto

    public boolean isConnModeAuto()

  if the connection is configured as automatic

  Returns:
    true - connection mode is "Automatic", false - otherwise;

### isConnModeManual

    public boolean isConnModeManual()

  if the connection is configured as manual

  Returns:
    true - connection mode is "Manual", false - otherwise;

### logParameters

    public void logParameters()

  for debuging dump all the parameters into IS log;

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD